Subject: Ticket Assigned - Feedback or suggestions
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 30 Jan 2021 04:06:29 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I have had worst experience shopping online.

You can check my order history.

Placed 3 orders out of which:
1 1st order - 1 order item was damaged product been delivered and your delivery boy embarrassed my fren whom I had gifted the item in delivery saying if we buy cheap discount items this is what will happen. I complaint to customer service and didn't hear back after that.

22nd order - when placed order of 2 items this time selecting picking from your location, I get a surprise that automatically 1 item is cancelled due to no stock whereas I was yet able to see the item available online

3 3rd order - the 3rd order item also gets cancelled whereas it was showing available 5 numbers when I booked.

I believe you really have a very bad customer handling and response team.

Will definitely not recommend your online portal for anymore future purchases.

Very dissapointed. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2034639